#!/bin/bash
# Create a unified images directory
mkdir -p ../pdf/images

# Copy images from all modules to the unified images directory
cp ../getting-started/modules/ROOT/images/* ../pdf/images/
cp ../getting-started/modules/guide-like-bgbook/images/* ../pdf/images/

# Update image paths in .adoc files
#find ../getting-started/modules/ -name "*.adoc" -exec sed -i 's|ROOT:|{imagesdir}|g' {} +

# 'modules/' 디렉토리 내의 모든 '.adoc' 파일을 검색하여, 'grep'으로 'ROOT:' 문자열이 있는 파일만 추출한 뒤 'sed'로 수정
find ../getting-started/modules/ -name "*.adoc" -exec grep -l "ROOT:" {} \; -exec sed -i 's|ROOT:|{imagesdir}|g' {} +

# create PDF
asciidoctor-pdf --theme ../theme.yml -a pdf-fontsdir="C:/Windows/Fonts;../fonts" -o ../pdf/guide.pdf ../pdf/pdf.adoc

# Delete images in the pdf images directory
rm -f ../pdf/images/*

# Update image paths in .adoc files
#find ../getting-started/modules/ -name "*.adoc" -exec sed -i 's|{imagesdir}|ROOT:|g' {} +

# 'modules/' 디렉토리 내의 모든 '.adoc' 파일을 검색하여, 'grep'으로 '{imagesdir}' 문자열이 있는 파일만 추출한 뒤 'sed'로 수정
find ../getting-started/modules/ -name "*.adoc" -exec grep -l "{imagesdir}" {} \; -exec sed -i 's|{imagesdir}|ROOT:|g' {} +
